SLING-8012 - Extract an HTL runtime bundle from the existing HTL modules
authorRadu Cotescu <radu@apache.org>
Thu, 18 Oct 2018 14:23:13 +0000 (16:23 +0200)
committerRadu Cotescu <radu@apache.org>
Thu, 18 Oct 2018 14:23:13 +0000 (16:23 +0200)
* updated dependencies

pom.xml

diff --git a/pom.xml b/pom.xml
index 58a2fed..404410a 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -71,6 +71,7 @@
                     <instructions>
                         <Sling-Bundle-Resources>/libs/sling/sightly/js;path:=/SLING-INF/libs/sling/sightly/js</Sling-Bundle-Resources>
                         <Require-Capability>
+                            io.sightly.runtime; filter:="(&amp;(version&gt;=1.0)(!(version&gt;=2.0)))"
                             io.sightly; filter:="(&amp;(version&gt;=1.0)(!(version&gt;=2.0)))",
                             osgi.implementation;filter:="(&amp;(osgi.implementation=org.apache.sling.scripting.javascript.rhinoscriptengine)(version&gt;=1.7.7.1)(!(version&gt;=2.0.0)))"
                         </Require-Capability>
         <!-- HTL -->
         <dependency>
             <groupId>org.apache.sling</groupId>
-            <artifactId>org.apache.sling.scripting.sightly</artifactId>
-            <!-- reset to 1.0.34 after the release is public -->
-            <version>1.0.34</version>
+            <artifactId>org.apache.sling.scripting.sightly.runtime</artifactId>
+            <version>1.0.0-1.4.0-SNAPSHOT</version>
             <scope>provided</scope>
         </dependency>
         <dependency>
             <groupId>org.apache.sling</groupId>
-            <artifactId>org.apache.sling.scripting.sightly.compiler.java</artifactId>
-            <!-- reset to 1.0.10 after the release is public -->
-            <version>1.0.10</version>
+            <artifactId>org.apache.sling.scripting.sightly</artifactId>
+            <version>1.1.0-1.4.0-SNAPSHOT</version>
             <scope>provided</scope>
         </dependency>